<?php

function S_PUBLIC_VAR($definition)
{
	$t_str = explode(' ', trim($definition));
	return array('name' => trim($t_str[1]), 'type' => trim($t_str[0]));
}

class XCube_Object
{
	/**
	 * Member property
	 */
	var $mProperty = array();
	
	/**
	 * @static
	 * @return array
	 */
	function isArray()
	{
		return false;
	}
	
	/**
	 * Return member property information. This member function is called in
	 * the initialize of object and service. This member function has to be
	 * a static function.
	 *
	 * @static
	 * @return array
	 */
	function getPropertyDefinition()
	{
	}
}

class XCube_ObjectArray
{
	function isArray()
	{
		return true;
	}
	
	/**
	 * @static
	 * @return string
	 */
	function getClassName()
	{
	}
}

?>